package com.goafanti.business.bo;

import java.util.List;

import com.goafanti.common.model.JtBusinessProject;
import com.goafanti.common.model.JtTag;
import com.goafanti.comment.bo.CommentDetailResult;
public class JtBusinessProjectResult extends JtBusinessProject {
	private Integer module;
	
	private List<JtTag> tags;
	
	private String  ownerName;
	private String ownerMobile;
	private String interestCount;
	private String createTimeFormat;
	private  CommentDetailResult	CommentDetailResult;
	private Integer interested;
	
	
	
	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public String getInterestCount() {
		return interestCount;
	}

	public void setInterestCount(String interestCount) {
		this.interestCount = interestCount;
	}

	public Integer getModule() {
		return module;
	}

	public void setModule(Integer module) {
		this.module = module;
	}
	

	Integer dealCount;
	

	public Integer getDealCount() {
		return dealCount;
	}

	public void setDealCount(Integer dealCount) {
		this.dealCount = dealCount;
	}

	private String companyName;

	public String getCompanyName() {
		return companyName;
	}
String companyId;

	public String getCompanyId() {
	return companyId;
}

public void setCompanyId(String companyId) {
	this.companyId = companyId;
}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	
	@Override
	public String getMaxImgUrl() {
		if(super.getMaxImgUrl()!=null && !super.getMaxImgUrl().contains("."))return null;
		return super.getMaxImgUrl();
	}
	
	@Override
	public String getMinImgUrl() {
		if(super.getMinImgUrl()!=null && !super.getMinImgUrl().contains("."))return null;
		return super.getMinImgUrl();
	}

	public List<JtTag> getTags() {
		return tags;
	}

	public void setTags(List<JtTag> tags) {
		this.tags = tags;
	}

	public String getCreateTimeFormat() {
		return createTimeFormat;
	}

	public void setCreateTimeFormat(String createTimeFormat) {
		this.createTimeFormat = createTimeFormat;
	}

	public CommentDetailResult getCommentDetailResult() {
		return CommentDetailResult;
	}

	public void setCommentDetailResult(CommentDetailResult commentDetailResult) {
		CommentDetailResult = commentDetailResult;
	}

	public Integer getInterested() {
		return interested;
	}

	public void setInterested(Integer interested) {
		this.interested = interested;
	}

	public String getOwnerMobile() {
		return ownerMobile;
	}

	public void setOwnerMobile(String ownerMobile) {
		this.ownerMobile = ownerMobile;
	}
}
